import {
	request
} from "@/utils/request";

export default {
	orderList(data) {
		return request({
			url: "/admin/order/orderList",
			method: "POST",
			data,
		});
	},

	orderSend(data) {
		return request({
			url: "/admin/order/orderSend",
			method: "POST",
			data,
		});
	},

	GetExpressList(data) {
		return request({
			url: "/admin/order/GetExpressList",
			method: "POST",
			data,
		});
	},

	printOrder(data) {
		return request({
			url: "/admin/order/printOrder",
			method: "POST",
			data,
		});
	},

	updateNotes(data) {
		return request({
			url: "/admin/order/updateNotes",
			method: "POST",
			data,
		});
	},

	// 核销记录
	checkLog(data) {
		return request({
			url: "/admin/shop/checkLog",
			method: "POST",
			data,
		});
	},

	confirmCancel(data) {
		return request({
			url: "/admin/order/confirmCancel",
			method: "POST",
			data,
		});
	},

	after_sale: {
		index(data) {
			return request({
				url: "/admin/after_sale/index",
				method: "POST",
				data,
			});
		},


		update(data) {
			return request({
				url: "/admin/after_sale/update",
				method: "POST",
				data,
			});
		},

		show(data) {
			return request({
				url: "/admin/after_sale/show",
				method: "POST",
				data,
			});
		},

		express(data) {
			return request({
				url: "/client/common/express",
				method: "POST",
				data,
			});
		},
		enums(data) {
			return request({
				url: "/client/after_sale/enums",
				method: "POST",
				data,
			});
		},

	}

};